#!/bin/sh
#
# $FreeBSD: ports/www/lighttpd/files/lighttpd.sh.in,v 1.3 2006/02/06 12:19:17 mnag Exp $
#
# PROVIDE: lighttpd
# REQUIRE: DAEMON
# KEYWORD: shutdown
#
# Add the following lines to /etc/rc.conf to enable lighttpd:
#
# lighttpd_enable (bool):	Set it to "YES" to enable lighttpd
#				Default is "NO".
# lighttpd_conf (path):		Set full path to config file.
#				Default is "/usr/local/etc/lighttpd.conf".
#

. /etc/rc.subr

name="lighttpd"
rcvar=`set_rcvar`

load_rc_config $name

: ${lighttpd_enable="NO"}
: ${lighttpd_conf="/usr/local/etc/lighttpd.conf"}

command=/usr/local/sbin/lighttpd
command_args="-f ${lighttpd_conf}"
pidfile=/var/run/lighttpd.pid
required_files=${lighttpd_conf}
stop_postcmd=stop_postcmd
restart_precmd="checkconfig"

checkconfig()
{
	echo "Performing sanity check on ${name} configuration:"
	eval "${command} ${command_args} -t"
}

stop_postcmd()
{
	rm -f ${pidfile}
}

run_rc_command "$1"
